{
  "name": "openqia-fe",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "generate:api": "npm run generate:api-clients && npm run generate:api-company && npm run generate:api-documents && npm run generate:api-items",
    "generate:api-clients": "openapi-generator-cli generate -p=removeOperationIdPrefix=true -i ./src/assets/contracts/openqia.clients_v1.yaml -g typescript-angular -o ./src/app/core/api/v1",
    "generate:api-company": "openapi-generator-cli generate -p=removeOperationIdPrefix=true -i ./src/assets/contracts/openqia.company_v1.yaml -g typescript-angular -o ./src/app/core/api/v1",
    "generate:api-documents": "openapi-generator-cli generate -p=removeOperationIdPrefix=true -i ./src/assets/contracts/openqia.documents_v1.yaml -g typescript-angular -o ./src/app/core/api/v1",
    "generate:api-items": "openapi-generator-cli generate -p=removeOperationIdPrefix=true -i ./src/assets/contracts/openqia.items_v1.yaml -g typescript-angular -o ./src/app/core/api/v1"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~13.3.6",
    "@angular/common": "~13.3.6",
    "@angular/compiler": "^13.3.6",
    "@angular/core": "~13.3.6",
    "@angular/forms": "~13.3.6",
    "@angular/localize": "^13.3.6",
    "@angular/platform-browser": "~13.3.6",
    "@angular/platform-browser-dynamic": "~13.3.6",
    "@angular/router": "~13.3.6",
    "@angular/service-worker": "^13.3.6",
    "html-to-pdfmake": "^2.3.11",
    "jspdf": "^2.5.1",
    "ng-packagr": "^13.3.1",
    "pdfmake": "^0.2.5",
    "rxjs": "~6.5.5",
    "tailwindcss": "^2.2.19",
    "tslib": "^2.0.0",
    "zone.js": "~0.11.5"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^13.3.5",
    "@angular/cli": "^13.3.5",
    "@angular/compiler-cli": "~13.3.6",
    "@openapitools/openapi-generator-cli": "^2.5.1",
    "@types/jasmine": "~3.5.0",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "^12.11.1",
    "codelyzer": "^6.0.0-next.1",
    "jasmine-core": "~3.5.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "^6.3.19",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "~3.3.0",
    "karma-jasmine-html-reporter": "^1.5.0",
    "protractor": "~7.0.0",
    "ts-node": "~8.3.0",
    "tslint": "~6.1.0",
    "typescript": "~4.6.4"
  },
  "resolutions": {
    "webpack": "^5.0.0"
  }
}
